Wt examples: GitModel::Tree Class Reference

Wt examples 4.10.4

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
GitModel::Tree Class Reference

Used to uniquely locate a folder within the folder hierarchy. More...

## Public Member Functions
| Tree (int parentId, int index, const Git::ObjectId &object, int rowCount)
| Constructor.
int | parentId () const
| Returns the parent id.
int | index () const
| Returns the child index within the parent folder.
const Git::ObjectId & | treeObject () const
| Returns the SHA1 id for the git tree object.
int | rowCount () const
| Returns the (cached) row count.

## Private Attributes
ChildIndex | index_
Git::ObjectId | treeObject_
int | rowCount_

## Detailed Description

Used to uniquely locate a folder within the folder hierarchy.

Definition at line 133 of file GitModel.h.

## Constructor & Destructor Documentation

## ◆ Tree()

GitModel::Tree::Tree | ( | int | parentId,
|  | int | index,
|  | const Git::ObjectId & | object,
|  | int | rowCount )
| inline

Constructor.

Definition at line 137 of file GitModel.h.

139 : index_(parentId, index),
140 treeObject_(object),
141 rowCount_(rowCount)
142 { }
GitModel::Tree::parentId
int parentId() const
Returns the parent id.
Definition GitModel.h:148
GitModel::Tree::rowCount_
int rowCount_
Definition GitModel.h:167
GitModel::Tree::index
int index() const
Returns the child index within the parent folder.
Definition GitModel.h:154
GitModel::Tree::rowCount
int rowCount() const
Returns the (cached) row count.
Definition GitModel.h:162
GitModel::Tree::index_
ChildIndex index_
Definition GitModel.h:165
GitModel::Tree::treeObject_
Git::ObjectId treeObject_
Definition GitModel.h:166

## Member Function Documentation

## ◆ index()

int GitModel::Tree::index | ( |  | ) | const
| inline

Returns the child index within the parent folder.

Index of this folder within the file list of the parent folder.

Definition at line 154 of file GitModel.h.

154{ return index_.index; }
GitModel::ChildIndex::index
int index
Definition GitModel.h:116

## ◆ parentId()

int GitModel::Tree::parentId | ( |  | ) | const
| inline

Returns the parent id.

Index of the parent folder within the treeData_ vector.

Definition at line 148 of file GitModel.h.

148{ return index_.parentId; }
GitModel::ChildIndex::parentId
int parentId
Definition GitModel.h:115

## ◆ rowCount()

int GitModel::Tree::rowCount | ( |  | ) | const
| inline

Returns the (cached) row count.

Definition at line 162 of file GitModel.h.

162{ return rowCount_; }

## ◆ treeObject()

const Git::ObjectId & GitModel::Tree::treeObject | ( |  | ) | const
| inline

Returns the SHA1 id for the git tree object.

Definition at line 158 of file GitModel.h.

158{ return treeObject_; }

## Member Data Documentation

## ◆ index_

ChildIndex GitModel::Tree::index_
| private

Definition at line 165 of file GitModel.h.

## ◆ rowCount_

int GitModel::Tree::rowCount_
| private

Definition at line 167 of file GitModel.h.

## ◆ treeObject_

Git::ObjectId GitModel::Tree::treeObject_
| private

Definition at line 166 of file GitModel.h.

The documentation for this class was generated from the following file:

- gitmodel/GitModel.h